Bug 239711 - Can't Create MD Device
Can't Create MD Device
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-10 13:40 EDT by Richard Palm
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 00:08:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Palm 2007-05-10 13:40:17 EDT
Description of problem:

Added two additional HDD's (hda1, hdc1) and can't create /dev/md3 on an existing
installation of Fedora 6.  There are 3 software RAID drives running.

Version: mdadm-2.5.4-2.fc6

How reproducible: Always 
Worked on earlier versions of Fedora (Core 2 & Core 3)

Steps to Reproduce:
[root@server0 dev]# mdadm --create --verbose /dev/md3  --level=1 --raid-dev=2
/dev/hda1 /dev/hdc1
mdadm: error opening /dev/md3: No such file or directory
[root@server0 dev]# 
  
Actual results:
see above

Expected results:

Additional info:
[root@server0 dev]# fdisk -l

Disk /dev/hda: 250.0 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hda1               1       30401   244196001   fd  Linux raid autodetect

Disk /dev/hdc: 250.0 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hdc1               1       30401   244196001   fd  Linux raid autodetect

Disk /dev/hde: 251.0 GB, 251000193024 bytes
255 heads, 63 sectors/track, 30515 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hde1   *           1          13      104391   fd  Linux raid autodetect
/dev/hde2              14         268     2048287+  fd  Linux raid autodetect
/dev/hde3             269       30515   242959027+  fd  Linux raid autodetect

Disk /dev/hdg: 251.0 GB, 251000193024 bytes
255 heads, 63 sectors/track, 30515 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hdg1   *           1          13      104391   fd  Linux raid autodetect
/dev/hdg2              14         268     2048287+  fd  Linux raid autodetect
/dev/hdg3             269       30515   242959027+  fd  Linux raid autodetect

Disk /dev/md2: 248.7 GB, 248789925888 bytes
2 heads, 4 sectors/track, 60739728 cylinders
Units = cylinders of 8 * 512 = 4096 bytes

Disk /dev/md2 doesn't contain a valid partition table

Disk /dev/md1: 2097 MB, 2097348608 bytes
2 heads, 4 sectors/track, 512048 cylinders
Units = cylinders of 8 * 512 = 4096 bytes

Disk /dev/md1 doesn't contain a valid partition table

Disk /dev/md0: 106 MB, 106823680 bytes
2 heads, 4 sectors/track, 26080 cylinders
Units = cylinders of 8 * 512 = 4096 bytes

Disk /dev/md0 doesn't contain a valid partition table

[root@server0 dev]# cat /proc/mdstat
Personalities : [raid1] [raid6] [raid5] [raid4] 
md0 : active raid1 hdg1[1] hde1[0]
      104320 blocks [2/2] [UU]
      
md1 : active raid1 hdg2[1] hde2[0]
      2048192 blocks [2/2] [UU]
      
md2 : active raid1 hdg3[1] hde3[0]
      242958912 blocks [2/2] [UU]
      
unused devices: <none>
Comment 1 Richard Palm 2007-05-15 00:08:12 EDT
Found /sbin/MAKEDEV
"./MAKEDEV md" solved problem

Note You need to log in before you can comment on or make changes to this bug.